GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "c4e4a8dc-c5c7-4b1f-8454-1a7fe1cd6bdc",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "da8da238-3acd-40c6-ab54-79d13a2c8178",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "2239b287-9696-4c5f-8d02-396b23f39e44",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "40d69dd8-5a47-45e2-9517-a960547caaf8",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "af17e4a8-8b43-4af8-9ef7-249d12f68508",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "2a24c8be-09e9-4c00-8683-bcbd887e50cd",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "371cca04-f544-4280-982c-331540b3f791",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"MeasurementValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "2f15f82c-9662-4ca5-a97b-b18647d70e78",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"MeasurementValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "7029b146-718c-4867-a707-f66a94c95253",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-21T15:10:21.7700808-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "e25def34-5243-4434-a4ef-df9b7a4bef87",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "c4e4a8dc-c5c7-4b1f-8454-1a7fe1cd6bdc",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "da8da238-3acd-40c6-ab54-79d13a2c8178",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "2239b287-9696-4c5f-8d02-396b23f39e44",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "40d69dd8-5a47-45e2-9517-a960547caaf8",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "af17e4a8-8b43-4af8-9ef7-249d12f68508",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "2a24c8be-09e9-4c00-8683-bcbd887e50cd",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "371cca04-f544-4280-982c-331540b3f791",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"MeasurementValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "2f15f82c-9662-4ca5-a97b-b18647d70e78",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"MeasurementValueNeededDate": "2026-11-21T15:10:21.7700808-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "7029b146-718c-4867-a707-f66a94c95253",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-21T15:10:21.7700808-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "e25def34-5243-4434-a4ef-df9b7a4bef87",
"CreateDate": "2026-11-21T15:10:21.7700808-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-21T15:10:21.7700808-08:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}